/* Header styles */

.admin-bar header.wp-block-template-part {
  top: 32px;
}

@media screen and (max-width: 782px) {
  .admin-bar header.wp-block-template-part {
    top: 46px;
  }
}

header.wp-block-template-part
  .pinena-header
  .pinena-header__inner
  .pinena-header__nav
  .wp-block-navigation-item.wp-block-navigation-link {
  position: relative;
}

header.wp-block-template-part
  .pinena-header
  .pinena-header__inner
  .pinena-header__nav
  .wp-block-navigation-item.wp-block-navigation-link::after {
  content: "";
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 2px;
  background-color: transparent;
  transition: background-color 0.2s ease;
}

header.wp-block-template-part
  .pinena-header
  .pinena-header__inner
  .pinena-header__nav
  .wp-block-navigation-item.wp-block-navigation-link:hover::after,
header.wp-block-template-part
  .pinena-header
  .pinena-header__inner
  .pinena-header__nav
  .wp-block-navigation-item.current-menu-item.wp-block-navigation-link::after {
  background-color: var(--wp--preset--color--orange);
}

header.wp-block-template-part
  .pinena-header
  .pinena-header__inner
  .pinena-header__actions
  .contact-link
  a {
  position: relative;
  color: var(--wp--preset--color--dark-green);
  font-family: var(--wp--preset--font-family--figtree);
  font-size: var(--wp--preset--font-size--text-s);
  text-decoration: none;
  transition: color 0.2s ease;
}

header.wp-block-template-part
  .pinena-header
  .pinena-header__inner
  .pinena-header__actions
  #header-site-lang-switcher-btn
  .pinena-lang-switcher__toggle::after,
header.wp-block-template-part
  .pinena-header
  .pinena-header__inner
  .pinena-header__actions
  .contact-link
  a::after {
  content: "";
  position: absolute;
  bottom: -3px;
  left: 0;
  width: 100%;
  height: 2px;
  background-color: transparent;
  transition: background-color 0.2s ease;
}
header.wp-block-template-part
  .pinena-header
  .pinena-header__inner
  .pinena-header__actions
  #header-site-lang-switcher-btn:hover
  .pinena-lang-switcher__toggle::after,
header.wp-block-template-part
  .pinena-header
  .pinena-header__inner
  .pinena-header__actions
  .contact-link:hover
  a::after {
  background-color: var(--wp--preset--color--orange);
}

header.wp-block-template-part
  .pinena-header
  .pinena-header__inner
  .pinena-header__actions
  #header-site-lang-switcher-btn
  .pinena-lang-switcher__toggle {
  position: relative;
  background: transparent;
  border: none;
  color: var(--wp--preset--color--dark-green);
  font-family: var(--wp--preset--font-family--figtree);
  font-size: var(--wp--preset--font-size--text-m);
  display: flex;
  align-items: center;
  gap: 5px;
  cursor: pointer;
  padding: 0;
  transition: color 0.2s ease;
}
